Skip to content
ACS Infra
Looms

Stream Loom

GET
/v1/looms/{loom_id}/stream

Follow a Loom as Server-Sent Events: each Node of the Loom, then each Node again when its status or text changes, then [DONE] when no Node is queued or running. A running Node's text is its whole text so far, at most every 250 ms.

Authorization

bearer
headerAuthorizationBearer <token>

An API key: Authorization: Bearer sk-acs-..., or a key of the old platform, acs-bm-.... A User makes and revokes keys in the App.

Path Parameters

loom_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Response Body

Success

text/event-stream
  1. response
data*string
event*"message"
Value in"message"
Example Request
curl -X GET 'https://api.v2.infra.acsresearch.org/v1/looms/497f6eca-6276-4993-bfeb-53cbbbba6f08/stream' \  -H 'Authorization: Bearer <API_KEY>'
Example Response
{  "data": "string",  "event": "message"}